.. AUTO-GENERATED FILE. DO NOT EDIT. fuel-pump-inventories-gas-stations-patch-one ============================================ Source ------ - Repository: ``jef-systems/jef-fuel-pump-inventories-backend`` - Source Run ID: ``24967078100`` - Source SHA: ``1159f01c85f4a6aefdd03618419a726c3fc9edbb`` - Module: ``fuel-pump-inventories`` - Documentation Scope: ``async`` - Lambda: ``jef-fuel-pump-inventories-patch-3`` Endpoint -------- - API Name: ``jef-fuel-pump-inventories`` - Action Name: ``patch`` - Method: ``PATCH`` - Scope Label: ``Async`` - Resource Path: ``/fuel-pump-inventories-gas-stations-patch-one`` - Complete Endpoint: ``https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-gas-stations-patch-one`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-fuel-pump-inventories-patch-3`` - curl payload mode: ``json_body`` API Gateway Description ----------------------- .. code-block:: text Function: jef-fuel-pump-inventories-patch-3 Module: jef-fuel-pump-inventories Action: patch Method: PATCH Invocation Mode: ASYNC Resource Path: /fuel-pump-inventories-gas-stations-patch-one API Gateway Response: - status_code: 202 - message: Request accepted for asynchronous processing. Table: - table: jef-fuel-pump-inventories-gas-stations Payload Example: - pk: 0001 - entity_number: 0001 - station_name: Main Station - address: Sample Address Payload Schema: - pk: string-{entity_number} - entity_number: string - station_name: string - address: string Response Schema: - is_accepted: boolean - message: string Request Payload --------------- .. code-block:: json { "pk": "0001", "entity_number": "0001", "station_name": "Main Station", "address": "Sample Address" } Response -------- .. code-block:: json { "is_accepted": "boolean", "message": "string" } CMD curl -------- .. code-block:: text curl -X PATCH "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-gas-stations-patch-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"0001\", \"entity_number\": \"0001\", \"station_name\": \"Main Station\", \"address\": \"Sample Address\"}" PowerShell curl --------------- .. code-block:: text curl.exe -X PATCH "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-gas-stations-patch-one" -H "Content-Type: application/json" --data-raw '{"pk": "0001", "entity_number": "0001", "station_name": "Main Station", "address": "Sample Address"}'